Bug 1245600 - abrt crashes when trying to report an issue
Summary: abrt crashes when trying to report an issue
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Habrnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-22 11:11 UTC by Peter Robinson
Modified: 2015-09-01 03:36 UTC (History)
7 users (show)

Fixed In Version: 2.6.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-01 03:36:42 UTC


Attachments (Terms of Use)

Description Peter Robinson 2015-07-22 11:11:21 UTC
I get the following crash from abrt when trying to report crash from another application:

--- Running report_uReport ---
('report_uReport' completed successfully)

--- Running analyze_CCpp ---
Traceback (most recent call last):
  File "/usr/bin/abrt-action-perform-ccpp-analysis", line 110, in <module>
    sys.exit(run_analyze_smart(vars(OPTIONS)['problem_dir']))
  File "/usr/bin/abrt-action-perform-ccpp-analysis", line 63, in run_analyze_smart
    _("Ok to upload core dump? (It may contain sensitive data). "\
TypeError: must be str, not bytes
('analyze_CCpp' exited with 1)

--- Running analyze_CCpp ---
Traceback (most recent call last):
  File "/usr/bin/abrt-action-perform-ccpp-analysis", line 110, in <module>
    sys.exit(run_analyze_smart(vars(OPTIONS)['problem_dir']))
  File "/usr/bin/abrt-action-perform-ccpp-analysis", line 63, in run_analyze_smart
    _("Ok to upload core dump? (It may contain sensitive data). "\
TypeError: must be str, not bytes
('analyze_CCpp' exited with 1)


abrt-2.6.2-1.fc23.x86_64
abrt-addon-ccpp-2.6.2-1.fc23.x86_64
abrt-addon-coredump-helper-2.6.2-1.fc23.x86_64
abrt-addon-kerneloops-2.6.2-1.fc23.x86_64
abrt-addon-pstoreoops-2.6.2-1.fc23.x86_64
abrt-addon-python-2.6.2-1.fc23.x86_64
abrt-addon-python3-2.6.2-1.fc23.x86_64
abrt-addon-vmcore-2.6.2-1.fc23.x86_64
abrt-addon-xorg-2.6.2-1.fc23.x86_64
abrt-cli-2.6.2-1.fc23.x86_64
abrt-dbus-2.6.2-1.fc23.x86_64
abrt-desktop-2.6.2-1.fc23.x86_64
abrt-gui-2.6.2-1.fc23.x86_64
abrt-gui-libs-2.6.2-1.fc23.x86_64
abrt-java-connector-1.1.0-4.fc23.x86_64
abrt-libs-2.6.2-1.fc23.x86_64
abrt-plugin-bodhi-2.6.2-1.fc23.x86_64
abrt-python-2.6.2-1.fc23.x86_64
abrt-python3-2.6.2-1.fc23.x86_64
abrt-retrace-client-2.6.2-1.fc23.x86_64
abrt-tui-2.6.2-1.fc23.x86_64
gnome-abrt-1.2.0-4.fc23.x86_64
libreport-2.6.2-1.fc23.x86_64
libreport-cli-2.6.2-1.fc23.x86_64
libreport-fedora-2.6.2-1.fc23.x86_64
libreport-filesystem-2.6.2-1.fc23.x86_64
libreport-gtk-2.6.2-1.fc23.x86_64
libreport-plugin-bugzilla-2.6.2-1.fc23.x86_64
libreport-plugin-kerneloops-2.6.2-1.fc23.x86_64
libreport-plugin-logger-2.6.2-1.fc23.x86_64
libreport-plugin-reportuploader-2.6.2-1.fc23.x86_64
libreport-plugin-ureport-2.6.2-1.fc23.x86_64
libreport-python-2.6.2-1.fc23.x86_64
libreport-python3-2.6.2-1.fc23.x86_64
libreport-web-2.6.2-1.fc23.x86_64

Comment 1 Matej Habrnal 2015-07-22 13:32:50 UTC
I've created an upstream pull request which fixes the bug
https://github.com/abrt/abrt/pull/1014

Comment 2 Fedora Update System 2015-08-17 11:06:54 UTC
abrt-2.6.2-4.fc23,libreport-2.6.2-3.fc23,gnome-abrt-1.2.0-5.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/abrt-2.6.2-4.fc23,libreport-2.6.2-3.fc23,gnome-abrt-1.2.0-5.fc23

Comment 3 Fedora Update System 2015-08-19 07:55:48 UTC
Package abrt-2.6.2-4.fc23, libreport-2.6.2-3.fc23, gnome-abrt-1.2.0-5.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.6.2-4.fc23 libreport-2.6.2-3.fc23 gnome-abrt-1.2.0-5.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13626/abrt-2.6.2-4.fc23,libreport-2.6.2-3.fc23,gnome-abrt-1.2.0-5.fc23
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-09-01 03:36:40 UTC
abrt-2.6.2-4.fc23, gnome-abrt-1.2.0-5.fc23, libreport-2.6.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.